GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
property Struct Reference

## Public Member Functions
| property (const std::string &key_, const std::string &value_)

## Public Attributes
std::string | key
std::string | value

## Detailed Description

Definition at line 67 of file target-descriptions.c.

## Constructor & Destructor Documentation

## ◆ property()

property::property | ( | const std::string & | key_,
|  | const std::string & | value_
| ) |  |
| inline

Definition at line 69 of file target-descriptions.c.

## Member Data Documentation

## ◆ key

std::string property::key

Definition at line 73 of file target-descriptions.c.

Referenced by tdesc_property(), and print_c_tdesc::visit_pre().

## ◆ value

std::string property::value

Definition at line 74 of file target-descriptions.c.

Referenced by tdesc_property(), and print_c_tdesc::visit_pre().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/target-descriptions.c